package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class OAHireSalaryDataFactory
{
    private OAHireSalaryDataFactory()
    {
    }
    public static com.kingdee.eas.custom.hireapproval.IOAHireSalaryData getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.IOAHireSalaryData)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("4B317CA6") ,com.kingdee.eas.custom.hireapproval.IOAHireSalaryData.class);
    }
    
    public static com.kingdee.eas.custom.hireapproval.IOAHireSalaryData getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.IOAHireSalaryData)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("4B317CA6") ,com.kingdee.eas.custom.hireapproval.IOAHireSalaryData.class, objectCtx);
    }
    public static com.kingdee.eas.custom.hireapproval.IOAHireSalaryData getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.IOAHireSalaryData)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("4B317CA6"));
    }
    public static com.kingdee.eas.custom.hireapproval.IOAHireSalaryData getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.hireapproval.IOAHireSalaryData)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("4B317CA6"));
    }
}